QGIS Application - Bug report #8437
db manager don't load esri personal geodb to postgis single feature instead of multi created
2013-08-09 01:54 AM - Pietro Rossin

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 17206
Description

I'm using the dev version in windows 1.9.0 (1.9.0-Master Revisione codice QGIS d821bcc)

loading a polyline feature from an esri 9.2 personal geodb | get an error after 2800 features loaded (the table is created).

This error is about the loading of multilinestring into a linestring geometry column.

Db manager also don't let me append features into a table, created with pgadminlll with the correct geometry column type, because of the
radio button grayed out.

History

#1 - 2014-01-14 02:47 AM - Regis Haubourg

The problem can be extended to all datasources containing multi and single objects. If faced it with a shape2postgis today.

| guess Dbmanager should test all objects for being multi or single geometries before declaring constraints and geometry_columns info (postgis < 2.0).
| think we should raise the priority of that issue because most datasets are affected.

Cheers

Régis

#2 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
